@define-mixin button-reset {
  background: none;
  border: 0;
}

@define-mixin button-default {
  display: inline-block;
  height: auto;
  padding: 6px 12px;
  font-size: 1rem;
  text-align: center;
	text-decoration: none;
}

@define-mixin button-small {
  padding: 6px 10px;
}

@define-mixin button-normal {
  padding: 8px 15px;
}

@define-mixin button-large {
  padding: 10px 20px;
}

@define-mixin button-default {
  display: inline-block;
  text-decoration: none;
  border: 0;
  border-radius: var(--border-radius);
  transition: all 0.3s;
}

@define-mixin button-style-primary {
  background: var(--primary);
  color: var(--white);

  &:hover {
    @media (--m) {
      background: var(--secondary);
    }
  }
}

@define-mixin button-style-secondary {
  background: var(--secondary);
  color: var(--white);

  &:hover {
    @media (--m) {
      background: var(--primary);
      color: var(--white);
    }
  }
}

@define-mixin button-style-dark {
  background: var(--dark);
  color: var(--white);

  &:hover {
    @media (--m) {
      background: var(--primary);
      color: var(--white);
    }
  }
}

@define-mixin button-style-white {
  background: var(--white);
  color: var(--dark);

  &:hover {
    @media (--m) {
      background: var(--primary);
      color: var(--white);
    }
  }
}

@define-mixin button-style-outline {
  border: 1px solid var(--primary);
  background: none;
  border-radius: 4px;
}

@define-mixin button-link {
  position: relative;
  padding: 0 0 5px 0;
  background: none;

  &::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    width: 100%;
    height: 1px;
    transition: all 0.3s;
  }
}
